--- title: "getNetworkAclRuleList" slug: "networking-vpc-networkacl-getnetworkaclrulelist" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-networkacl-getnetworkaclrulelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getNetworkAclRuleList Available in VPC Get the list of a network ACL's rules by specifying the network ACL number. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/getNetworkAclRuleList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to query the network ACL list - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `networkAclNo` | String | Required | Query the list with the network ACL number - See [getNetworkAclList](/docs/en/networking-vpc-networkacl-getnetworkacllist). | | `networkAclRuleTypeCode` | String | Optional | Query the list with the network ACL rule type code. - ` INBND` \| `OTBND` - `INBND`: inbound rule - `OTBND`: outbound rule - All rules of the network ACL (default) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getNetworkAclRuleList ?regionCode=KR &networkAclNo=***31' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NetworkAclRuleList](/docs/en/common-vapidatatype-networkaclrulelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 952f10f8-e8a8-4aae-b427-f1d74529db46 0 success 1 ***31 0 TCP tcp 22 ALLOW Allow 2020-07-31T18:29:38+0900 ***.***.0.0/0 INBND Inbound ```